
module "amqp-ram-cloudmonitor" {
  source = "terraform-aws-modules/amqp-ram-cloudmonitor/aws"
  version = "1.0.0"
  alarm_exchange_tps_in_metric = var.alarm_exchange_tps_in_metric
  alarm_exchange_tps_out_metric = var.alarm_exchange_tps_out_metric
  alarm_instance_message_input_metric = var.alarm_instance_message_input_metric
  alarm_instance_message_output_metric = var.alarm_instance_message_output_metric
  alarm_user_id = var.alarm_user_id
  amqp_exchang_internal = var.amqp_exchang_internal
  amqp_exchange_auto_delete_state = var.amqp_exchange_auto_delete_state
  amqp_exchange_name = var.amqp_exchange_name
  amqp_exchange_type = var.amqp_exchange_type
  amqp_instance_name = var.amqp_instance_name
  amqp_instance_type = var.amqp_instance_type
  amqp_max_eip_tps = var.amqp_max_eip_tps
  amqp_max_tps = var.amqp_max_tps
  amqp_payment_type = var.amqp_payment_type
  amqp_period = var.amqp_period
  amqp_queue_capacity = var.amqp_queue_capacity
  amqp_queue_name = var.amqp_queue_name
  amqp_support_eip = var.amqp_support_eip
  amqp_virtual_host_name = var.amqp_virtual_host_name
  create_ram_access_key = var.create_ram_access_key
  create_ram_user_login_profile = var.create_ram_user_login_profile
  exchange_tps_in_alarm_rule_contact_groups = var.exchange_tps_in_alarm_rule_contact_groups
  exchange_tps_in_alarm_rule_effective_interval = var.exchange_tps_in_alarm_rule_effective_interval
  exchange_tps_in_alarm_rule_name = var.exchange_tps_in_alarm_rule_name
  exchange_tps_in_alarm_rule_operator = var.exchange_tps_in_alarm_rule_operator
  exchange_tps_in_alarm_rule_period = var.exchange_tps_in_alarm_rule_period
  exchange_tps_in_alarm_rule_silence_time = var.exchange_tps_in_alarm_rule_silence_time
  exchange_tps_in_alarm_rule_statistics = var.exchange_tps_in_alarm_rule_statistics
  exchange_tps_in_alarm_rule_threshold = var.exchange_tps_in_alarm_rule_threshold
  exchange_tps_in_enable_alarm_rule = var.exchange_tps_in_enable_alarm_rule
  exchange_tps_in_times = var.exchange_tps_in_times
  exchange_tps_out_alarm_rule_contact_groups = var.exchange_tps_out_alarm_rule_contact_groups
  exchange_tps_out_alarm_rule_effective_interval = var.exchange_tps_out_alarm_rule_effective_interval
  exchange_tps_out_alarm_rule_name = var.exchange_tps_out_alarm_rule_name
  exchange_tps_out_alarm_rule_operator = var.exchange_tps_out_alarm_rule_operator
  exchange_tps_out_alarm_rule_period = var.exchange_tps_out_alarm_rule_period
  exchange_tps_out_alarm_rule_silence_time = var.exchange_tps_out_alarm_rule_silence_time
  exchange_tps_out_alarm_rule_statistics = var.exchange_tps_out_alarm_rule_statistics
  exchange_tps_out_alarm_rule_threshold = var.exchange_tps_out_alarm_rule_threshold
  exchange_tps_out_enable_alarm_rule = var.exchange_tps_out_enable_alarm_rule
  exchange_tps_out_times = var.exchange_tps_out_times
  instance_message_input_alarm_rule_contact_groups = var.instance_message_input_alarm_rule_contact_groups
  instance_message_input_alarm_rule_effective_interval = var.instance_message_input_alarm_rule_effective_interval
  instance_message_input_alarm_rule_name = var.instance_message_input_alarm_rule_name
  instance_message_input_alarm_rule_operator = var.instance_message_input_alarm_rule_operator
  instance_message_input_alarm_rule_period = var.instance_message_input_alarm_rule_period
  instance_message_input_alarm_rule_silence_time = var.instance_message_input_alarm_rule_silence_time
  instance_message_input_alarm_rule_statistics = var.instance_message_input_alarm_rule_statistics
  instance_message_input_alarm_rule_threshold = var.instance_message_input_alarm_rule_threshold
  instance_message_input_enable_alarm_rule = var.instance_message_input_enable_alarm_rule
  instance_message_input_times = var.instance_message_input_times
  instance_message_output_alarm_rule_contact_groups = var.instance_message_output_alarm_rule_contact_groups
  instance_message_output_alarm_rule_effective_interval = var.instance_message_output_alarm_rule_effective_interval
  instance_message_output_alarm_rule_name = var.instance_message_output_alarm_rule_name
  instance_message_output_alarm_rule_operator = var.instance_message_output_alarm_rule_operator
  instance_message_output_alarm_rule_period = var.instance_message_output_alarm_rule_period
  instance_message_output_alarm_rule_silence_time = var.instance_message_output_alarm_rule_silence_time
  instance_message_output_alarm_rule_statistics = var.instance_message_output_alarm_rule_statistics
  instance_message_output_alarm_rule_threshold = var.instance_message_output_alarm_rule_threshold
  instance_message_output_enable_alarm_rule = var.instance_message_output_enable_alarm_rule
  instance_message_output_times = var.instance_message_output_times
  is_admin = var.is_admin
  queue_message_accumulation_alarm_rule_contact_groups = var.queue_message_accumulation_alarm_rule_contact_groups
  queue_message_accumulation_alarm_rule_effective_interval = var.queue_message_accumulation_alarm_rule_effective_interval
  queue_message_accumulation_alarm_rule_name = var.queue_message_accumulation_alarm_rule_name
  queue_message_accumulation_alarm_rule_operator = var.queue_message_accumulation_alarm_rule_operator
  queue_message_accumulation_alarm_rule_period = var.queue_message_accumulation_alarm_rule_period
  queue_message_accumulation_alarm_rule_silence_time = var.queue_message_accumulation_alarm_rule_silence_time
  queue_message_accumulation_alarm_rule_statistics = var.queue_message_accumulation_alarm_rule_statistics
  queue_message_accumulation_alarm_rule_threshold = var.queue_message_accumulation_alarm_rule_threshold
  queue_message_accumulation_enable_alarm_rule = var.queue_message_accumulation_enable_alarm_rule
  queue_message_accumulation_metric = var.queue_message_accumulation_metric
  queue_message_accumulation_times = var.queue_message_accumulation_times
  ram_user_name = var.ram_user_name
  ram_user_password = var.ram_user_password
  region_id = var.region_id
}
